/* framework css */

:root {
  --c-primary: #0070f9;
  --c-secondary: #6a757d;
  --c-success: #008656;
  --c-danger: #eb3749;
  --c-warning: #ffc132;
  --c-info: #00caee;
}

body,
html {
  height: 100%;
}
body {
  display: flex;
  flex-direction: column;
  -webkit-font-smoothing: antialiased;
}
main {
  flex-grow: 1;
}

#page_header .dropdown .dropdown-item, 
.panel_area .panel_opt a ,
.large_view .large_opt a {
  display: flex;
  align-items: center;
  text-decoration: none;
  gap: 6px;
}

@keyframes slideDown {
  from {
    top: -30%;
    opacity: 0;
  }
}

@keyframes slideDown2 {
  from {
    top: -30%;
    opacity: 0;
  }
}

.menu-label {
  display: inline-block;
  padding: 0.2rem 1.5rem;
  font-size: 12px;
  letter-spacing: 0.1em;
  color: #7f8cb7;
  font-weight: 600;
}

.dropdown-divider {
  opacity: 0.3;
}

.site_help {
    cursor: pointer;
}

#alertboxspan {
    position: fixed; 
    top: 10px; 
    right: 10px; 
    z-index:1024;
    /*display:inline-block;*/ 
    max-width: 96vw; 
    overflow: hidden;
    .alert {
        width: fit-content;
    }
}

.modal-content {
  padding: 0.5rem 1rem;
}

.btn.btn-bbmodal-confirm,
.btn[type="submit"] {
  min-width: 120px;
}

.input-group .btn[type="submit"] {
  min-width: 50px;
}

.slidercheckbox {
    position: relative;
    width: 27px;
    height: 13px;
    margin: 0px auto 0 auto;
    /*overflow: hidden;*/
    .slidercheckbox-input {
      position: relative;
      width: 100%;
      height: 100%;
      padding: 0;
      margin: 0;
      opacity: 0;
      cursor: pointer;
      z-index: 3;
    }
    .slidercheckbox-input:checked + .slidercheckbox-knob:before {
      left: 15px;
    }
    .slidercheckbox-input:checked ~ .slidercheckbox-bg {
      background-color: var(--bs-secondary); /*Ł*/
    }
    .slidercheckbox-input:disabled ~ .slidercheckbox-bg {
      box-shadow: inset 1px 2px 5px #999999;
      background-color: #dddddd;
    }
    .slidercheckbox-input:disabled:checked ~ .slidercheckbox-bg {
      background-color: #cce0ff;
      /*opacity: 0.5;*/
    }
    .slidercheckbox-knob,
    .slidercheckbox-bg {
      position: absolute;
      top: 0;
      bottom: 0;
    }
    .slidercheckbox-knob,
    .slidercheckbox-knob:before,
    .slidercheckbox-bg {
      transition: 0.2s ease all;
    }
    .slidercheckbox-bg {
      width: 100%;
      background-color: var(--bs-white);
      border: 1px solid var(--bs-primary); /*Ł*/
      border-radius: 6px;
      transition: 0.2s ease all;
      z-index: 1;
      box-shadow: none;  /*box-shadow: inset 1px 2px 5px #333333;*/
    }
    &:hover .slidercheckbox-bg {
      /*background-color: var(--bs-white);*/
    }
    .slidercheckbox-knob {
      z-index: 2;
    }
    .slidercheckbox-knob:before {
        position: absolute;
        top: 2px;
        left: 2px;
        content: "";
        display: block;
        height: 9px;
        width: 9px;
        background-color: var(--bs-primary);
        border: 1px solid var(--bs-primary);
        border-color: var(--bs-primary);   /*border-color: color-mix(in srgb, var(--bs-primary) 80%, black);*/
        border-width: 1px;
        border-radius: 50%;
        border-style: solid;
        box-shadow: none;  /*box-shadow: 1px 1px 3px #333333;*/
    }
}

#start-screen-actions a[type="button"] {
  min-width: 160px;
}

.btn-ellipsis {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.btn-primary:hover {
  text-decoration: none;
}

/* a:link, a:visited, a:active {
  text-decoration: none;
  color: inherit;
} */

/*@font-face { 
 font-family: Raleway-Thin; 
 src: url(../fonts/Raleway-Thin.ttf);
} */

#page_title h1,
h1 {
  /*font-family: Raleway-Thin;*/
}

h2 {
  /*font-family: Raleway-Thin;*/
}

/*.vmiddle {
    margin: 0;
    position: absolute;
    top: 50%;
    left: 50%;
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
}*/

.navbar_text {
  /*    font-family: Raleway-Thin;
    font-weight: bold; */
  /* font-size: 20px; */
}

.navbarLabel {
    position: fixed;
    bottom: 10px;
    left: 10px;
    height: auto;
    z-index: 9999;
    background: rgba(30, 30, 30, 0.7);
    color: orange;
    padding: 2px 12px;
    border-radius: 10px;
    font-size: 32px;
    font-weight: bold;
    white-space: nowrap;
}

/* #page_title {
	background-color: var(--c-background);
	padding: 0.4rem 3rem 0.3rem 3rem;
	-moz-box-shadow: inset 0 -10px 49px -10px rgba(4, 52, 132, 0.21);
	-webkit-box-shadow: inset 0 -10px 49px -10px rgba(4, 52, 132, 0.21);
	box-shadow: inset 0 -10px 49px -10px rgba(4, 52, 132, 0.21);
        margin-bottom: 25px;
} */

/* LOADBAR */
.loadbar {
  z-index: 1000;
  position: relative;
}
.whitemask {
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  background: #ffffff;
  opacity: 0.5;
  /*filter: alpha(opacity=50);*/
}
#processing_loader {
  width: 48px;
  height: 48px;
  left: calc(50vw - 24px);
  top: calc(50vh - 24px);
  position: absolute;
  display: block !important;
  /*z-index: 2000100000;*/
  overflow: hidden;
}
.processing_svg.play {
  -webkit-animation: play51 1s infinite steps(51) alternate !important;
  animation: play51 1s infinite steps(51) alternate !important;
}
.processing_svg {
  position: absolute;
  width: 2496px;
  height: 48px;
  background-image: url(assets/icons_pack/processing.svg);
}

.btn .icon , 
.input-group-text .icon {
  vertical-align: middle;
}

.title_buttons {
  position: absolute;
  top: -2px;
  right: 0;
  .icon {
    width: 32px;
    height: 32px;
  }
/*  border-radius: 5px;
  box-shadow: 4px 4px 5px rgba(0, 0, 0, 0.2);*/
  z-index: 10;
}

/* cor_tables */
div[data-post_to] {
  /* all table parent divs */
  & table > thead {
    font-size: 1rem;
    line-height: 1.2rem;
  }
}

#cor_language table > tbody {
  font-size: 0.9rem;
  line-height: 1rem;
}

.table_main {
    max-height: 80vh; /* sticky */
    min-height: 300px; /* sticky */
    overflow-x:auto; 
    overflow-y: auto;
    table thead {
        position: sticky; /* sticky */
        top: 0; /* sticky */
        background-color: var(--bs-body-bg); /* sticky */
        z-index: 300; /* sticky */
        th {
            position: relative;
        }
    }
}

table td {
  vertical-align: middle;
}

#page_header {
  .dropdown .icon,
  #language-area .icon_flag {
    transition: transform 0.125s ease;
  }
  .dropdown-menu .dropdown-item:hover .icon {
    transform: translateX(3px);
  }

  .dropdown a:not(.dropdown-item):hover .icon,
  #language-area a:hover .icon_flag {
    transform: translateY(-2px);
  }
}

th.table-header-orderable {
  cursor: pointer;
}
.table-header-buttons {
  display: inline-block;
  position: absolute;
  top: 0px;
  right: 0px;
  bottom: 0px;
}
.table-header-buttons img {
  width: 24px;
  height: 24px;
}
.div_colvis,
.div_colsort {
  position: absolute;
  top: 42px;
  background-color: #fafafa;
  border: 1px solid #eeeeee;
  padding: 5px 5px 5px 5px;
  border-radius: 5px;
  box-shadow: 4px 4px 5px rgba(0, 0, 0, 0.2);
  z-index: 10;
}
.div_colvis {
  left: 0px;
}
.div_colsort {
  left: 50px;
}
.table_prepend .table_buttons {
    position: relative;
}
.table_prepend .table_buttons div.colvis {
  white-space: nowrap;
  cursor: -webkit-grab;
  cursor: grab;
}
.table_prepend .table_buttons div.colvis:hover {
  background-color: #f3f3f3;
}

.table_prepend .table_buttons div.div_colvis div.colvis:hover {
  cursor: pointer;
}
.table_prepend .table_buttons div.div_colsort div.colvis:hover {
  cursor: grab;
}
.table_prepend .table_buttons div.div_colsort div.colvis:active {
  cursor: move;
}

.table_prepend .table_buttons div.colvis .icon {
  vertical-align: middle;
}
.table_prepend .table_buttons div.colvis:active,
.table_prepend .table_buttons div.colvis:focus {
  cursor: -webkit-grabbing;
  cursor: grabbing;
}
table .div_filter_from_to input {
  width: 110px;
  /*caret-color: transparent;*/
}
table .div_filter_from_to input[name="from"] {
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
}
table .div_filter_from_to input[name="to"] {
    border-radius: 0;
    margin-left: -1px;
}
table .div_filter_from_to input:not(.input_filter_date) {
  width: 80px;
}
table .div_column_search .invalid-feedback {
    position: absolute;
    z-index: 500;
    top: 42px;
    left: 0px;  
    padding: 4px;
    background-color: var(--bs-body-bg);
}
.table-inline-edit {
  display: inline-block;
  /*width: 100%;*/
  min-height: 20px;
  cursor: pointer;
}
.table-inline-edit::before {
  background-image: url("../icons/pencil.svg");
  opacity: 0.5;
  background-size: 10px 20px;
  display: inline-block;
  width: 10px;
  height: 20px;
  content: "";
  margin-right: 2px;
}
td.td-editable {
    cursor: pointer;
    position: relative;
}
td.td-editpen::before {
  content: "";
  position: absolute;
  top: 0px;
  left: 0px;
  width: 16px;
  height: 16px;
  background-image: url("../shared/assets/icons_pack/pencil.svg");
  background-size: contain;
  background-repeat: no-repeat;
  pointer-events: none;
  z-index: 20;
  transition: all 0.125s ease;
  filter: var(--filter-primary);
}
-outdated {
  color: #ff0000;
  opacity: 0.3;
  filter: blur(1px);
  animation: blink-animation 1s steps(5, start) infinite;
  -webkit-animation: blink-animation 1s steps(5, start) infinite;
}
.inline-edit-inout {
  position: relative;
}
button.inline-modal,
button.inline-ok {
  height: 38px;
}
.table-inline-editing {
  position: relative;
}
.inline-edit-inout {
  position: absolute;
  top: -18px;
  z-index: 100;
}
.inline-edit-inout input {
  width: 300px;
  max-width: 95vw;
  background: #ffffff;
}

.decompact_cell {
    height: 8px !important;
    cursor: pointer;
    text-align: center;
}

table th.sys_col, 
table td.sys_col {
    padding: 0px !important;
}

table .table_sum {
    border-top: 3px double var(--bs-primary);
}
.row_expand, 
.row_collapse {
    cursor: pointer;
}
.row_expand {
  background-image: url(assets/icons_pack/plus-square.svg);
}
.row_collapse {
  background-image: url(assets/icons_pack/dash-square.svg);
}

@keyframes blink-animation {
  to {
    visibility: hidden;
  }
}
@-webkit-keyframes blink-animation {
  to {
    visibility: hidden;
  }
}
.div_column_search {
  min-width: 120px;
}

.dropdown-submenu {
  position: relative;
}
.dropdown-menu .dropdown-menu {
  top: 0;
  left: 100%;
  margin-top: -1px;
}
li:not(.disabled) .dropdown-item {
  cursor: pointer;
}

.dropdown-menu,
.table_actions_menu {
  z-index: 500;
  min-height: 100px;
}

.dd-scroll,
.table_actions_menu {
  overflow-y: auto;
  max-height: 80vh; /* calc(100vh - 500px);*/
  max-width: 400px;
  scrollbar-width: thin;
}
.dropdown-menu .dd-scroll li a {
  text-overflow: ellipsis;
  overflow: hidden;
  white-space: nowrap;
  display: block !important;
  padding-right: 1.5rem;
}
.dd-scroll::-webkit-scrollbar {
  /* scrollbar width */
  height: 10px;
  width: 10px;
}
.dd-scroll::-webkit-scrollbar-track {
  /* Track */
  border-radius: 4px;
  height: 8px;
  width: 8px;
  background: #ffffff;
}
.dd-scroll::-webkit-scrollbar-thumb {
  /* Handle */
  background: #d6e0ea;
  border-radius: 4px;
}
div.dd_buttons {
  margin: 0.2rem 1rem 0.5rem 1rem !important;
  width: -webkit-fill-available !important;
}
input.dd_search {
  width: -webkit-fill-available !important;
  text-align: start; /* undo btn text-align */
}
/* clears the ‘X’ from Internet Explorer */
input.dd_search[type="search"]::-ms-clear {
  display: none;
  width: 0;
  height: 0;
}
input.dd_search[type="search"]::-ms-reveal {
  display: none;
  width: 0;
  height: 0;
}
ul.multidropdown li input[type="checkbox"] {
    margin-right: 0.5rem;
}
/* clears the ‘X’ from Chrome */
input.dd_search[type="search"]::-webkit-search-decoration,
input.dd_search[type="search"]::-webkit-search-cancel-button,
input.dd_search[type="search"]::-webkit-search-results-button,
input.dd_search[type="search"]::-webkit-search-results-decoration {
  display: none;
}

.avatar.icon-person-bounding-box {
  width: 50px;
  height: 50px;
}

.btn .icon {
  vertical-align: middle;
}

.alert.alert-dismissible {
  padding-right: 3rem;
}

.cor_form_field {
  position: relative; /* duto to autocomplete*/
}
.autocomplete-items {
  /* list of items for autocomplete */
  position: absolute;
  top: 35px;
  border: 3px solid #dddddd;
  background-color: #ffffff !important;
  color: #000000;
  cursor: pointer;
  z-index: 10 !important;
  max-height: 800px;
  min-width: 300px;
  overflow-y: auto;
}
.autocomplete-item {
  /* of items single autocomplete */
  margin-top: 2px;
  margin-right: 5px;
  margin-bottom: 2px;
  margin-left: 3px;
}
.autocomplete-active {
  background-color: #ddd !important;
}

.line-break::after {
  content: "\a";
  white-space: pre;
}
::-webkit-scrollbar {
  height: 10px;
  width: 10px;
}
::-webkit-scrollbar-track {
  height: 8px;
  width: 8px;
  background: white;
}
::-webkit-scrollbar-thumb {
  background: #d6e0ea;
}

#page_btns {
  height: max-content;
}

@media (min-width: 1400px) {
  main .container-fluid {
    padding-left: 4rem;
    padding-right: 4rem;
  }
}
@media (min-width: 1200px) {
  main .container-fluid {
    padding-left: 3rem;
    padding-right: 3rem;
  }
}
@media (min-width: 992px) {
  main .container-fluid {
    padding-left: 2rem;
    padding-right: 2rem;
  }
}

@media (min-width: 1560px) {
  .container,
  .container-lg,
  .container-md,
  .container-sm,
  .container-xl {
    max-width: 1500px;
  }
}

@media (min-width: 1921px) {
  .container,
  .container-lg,
  .container-md,
  .container-sm,
  .container-xl {
    max-width: 1900px;
  }
  #page_header .container,
  #page_title .container {
    max-width: 1860px;
  }
  main .container-fluid {
    padding-left: 5rem;
    padding-right: 5rem;
  }
}

.tooltip .tooltip-inner {
  padding: 10px 10px;
  /*max-height: 150px;*/
  /*overflow-y: auto;*/
  max-width: 400px;
  text-align: left;
}

form#ord_orders .form-label span.icon {
  width: 16px;
  height: 16px;
  background-size: 16px 16px;
  display: flex;
  justify-content: center;
  align-items: center;
}

form#ord_orders .form-label {
  display: flex;
  align-items: center;
  gap: 0.5rem;
}

.form_file_preview { 
    position: relative; 
    top: -36px; 
    float:right; 
    max-height: 36px;
    max-width: 100px;
    img {
        vertical-align: baseline;
    }
    .icon {
        width: 24px;
        height: 24px;
    }
    span[type=button] {
        position: relative; 
        top: -3px; 
    }
}

.bold_underlined {
  text-decoration: underline;
  font-weight: bold;
}

#form_images div.form_image { /* pro_ean */
    padding: 10px;
}

form .cor_form_field .v_scroll{
    overflow-y: auto;
    max-height: 250px;
    /*scrollbar-width: thin; not visible on mobile */
}

.printed_label_div {
    border-radius: 0.5rem;
    border: 4px solid var(--bs-secondary);
    padding: 30px;
    background-color: #fff;
    color: #000;
    select {
        background-color: #fff;
        color: #000;
    }    
    
}

.ui-datepicker-buttonpane {
    display: flex !important;
    justify-content: flex-end;
    flex-wrap: wrap;
    gap: 6px;
}

.ui-datepicker-buttonpane button {
    float: none !important;
    margin: 0;
}